Moodle/bug/Locallib: necessary parameters needed

Z Wikiverzity
< Moodle‎ | bug
Skočit na navigaci Skočit na vyhledávání

Locallib: necessary parameters needed

Chybová hláška, která se za dosud nejasných okolností občas objeví při pokusu o uložení wiki stránky – tu pak kvůli této chybě nelze uložit.

Popis chyby[editovat]

Při pokusu o náhled nebo uložení editované wiki stránky obdržíme hlášku:

Locallib: necessary parameters needed

a pod ní tlačítko [Pokračovat]; po jeho stiknutí tlačítka zcela vypadneme z kursu a vyhodí nás to (v konkrétním případě) na stránku http://dl1.cuni.cz/?

Výskyt[editovat]

Pokus o řešení[editovat]

moodle fórum[editovat]

82624[editovat]

  • 2007-10-18: Locallib: necessary parameters needed (Nav. tabs not working)
    • 2 lidé se setkali s týmž problémem, Wiki Version: 2007061102
    • 2007-12-12 – zajímavý názor: "Vypadá to, že jak se moodle neustále updatuje, tak je standardní modul wiki stále méně a méně použitelný." upozornění na diskusi 81294

81294[editovat]

  • Unable to upload files to Wiki: [[uplrejsect]] error
  • Jedná se o problém uploadu souborů na Wiki - míní se defaultní wiki, která je distribuovaná s moodle, nikoliv NWiki, DFWikii atd.
  • souvisí to už s dříve zmíněným problémem: Vyhledat uplrejsect, např:
    • lidi můžou uploadovat wiki v jednom kursu, ale v jiném už nemohou
    • s problémem se zde setkalo asi 10 uživatelů
  • obezlička (workaround): Pomocí modulu "Database activity" se vytvoří aktivita nazvaná "File Bank". Do ní nahrají studenti své soubory a pak zkopírují URL těchto souborů
  • Bylo to reportováno jako bug do Moodle Tracker: wiki [[uplrejsect]] error - not consistant s odpovědí, že staré wiky již nebudou opravovány, máme používat novější.
  • 2007-11-13 Mikael Ekblom udělal hack:
    • problém byl v souboru /mod/ewiki/plugins/moodle/moodle_binary_store.php
    • problém byl v tom, že cesta a umístění souboru bylo vytvořeno z wikijména, takže to chování změnil a nyní se to ukládá podle wiki->id a entry->id . Týká se to funkcí:
      • moodle_binary_store_file
      • moodle_binary_get_path

komunikace s adminem moodle serveru[editovat]

  • 2009-09-09 upozornění na chybu
  • 2009-09-11:
    • podrobný popis chyby
    • návrh, aby upgradeoval stávající versi 1.9.2+ na současnou stabilní 1.9.5+
    • dotaz, jaká Wiki se zde standardně používá
    • odpoledne kolem 15 hod koukám, a už to funguje. OK a díky za promptní řešení.
      • Okno pro editor se změnilo, vpravo nahoře už není volba pro volbu DFWiki